'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultColors = undefined;

var _theme = require('@atlaskit/theme');

var _memoizeOne = require('memoize-one');

var _memoizeOne2 = _interopRequireDefault(_memoizeOne);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultColors = exports.defaultColors = (0, _memoizeOne2.default)(function (theme) {
  var akTheme = { theme: theme };
  return {
    lineNumberColor: (0, _theme.themed)({ light: _theme.colors.N90, dark: _theme.colors.DN90 })(akTheme),
    lineNumberBgColor: (0, _theme.themed)({ light: _theme.colors.N30, dark: _theme.colors.DN20 })(akTheme),
    backgroundColor: (0, _theme.themed)({ light: _theme.colors.N20, dark: _theme.colors.DN50 })(akTheme),
    textColor: (0, _theme.themed)({ light: _theme.colors.N800, dark: _theme.colors.DN800 })(akTheme),
    substringColor: (0, _theme.themed)({ light: _theme.colors.N400, dark: _theme.colors.DN400 })(akTheme),
    keywordColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    attributeColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    selectorTagColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    docTagColor: (0, _theme.themed)({ light: _theme.colors.Y300, dark: _theme.colors.Y300 })(akTheme),
    nameColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    builtInColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    literalColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    bulletColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    codeColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    additionColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme),
    regexpColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    symbolColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    variableColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    templateVariableColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    linkColor: (0, _theme.themed)({ light: _theme.colors.P300, dark: _theme.colors.P100 })(akTheme),
    selectorAttributeColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    selectorPseudoColor: (0, _theme.themed)({ light: _theme.colors.T300, dark: _theme.colors.T200 })(akTheme),
    typeColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    stringColor: (0, _theme.themed)({ light: _theme.colors.G300, dark: _theme.colors.G300 })(akTheme),
    selectorIdColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    selectorClassColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    quoteColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    templateTagColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    deletionColor: (0, _theme.themed)({ light: _theme.colors.T500, dark: _theme.colors.T300 })(akTheme),
    titleColor: (0, _theme.themed)({ light: _theme.colors.P300, dark: _theme.colors.P100 })(akTheme),
    sectionColor: (0, _theme.themed)({ light: _theme.colors.P300, dark: _theme.colors.P100 })(akTheme),
    commentColor: (0, _theme.themed)({ light: _theme.colors.N400, dark: _theme.colors.DN400 })(akTheme),
    metaKeywordColor: (0, _theme.themed)({ light: _theme.colors.G300, dark: _theme.colors.G300 })(akTheme),
    metaColor: (0, _theme.themed)({ light: _theme.colors.N400, dark: _theme.colors.DN400 })(akTheme),
    functionColor: (0, _theme.themed)({ light: _theme.colors.N800, dark: _theme.colors.DN800 })(akTheme),
    numberColor: (0, _theme.themed)({ light: _theme.colors.B400, dark: _theme.colors.B100 })(akTheme)
  };
});